#include "Controller.h"

int Controller::theSocket;


Controller::Controller( const int aSocket)
{
  theSocket = aSocket;
}


void Controller::init()
{
  //Umweltinformation holen
  recv(theSocket, buffer, 1024,0);
  
  //alle joints in Ausgangslage fahren und fixieren
  sendMsg("(pidmaxtorque** 800)\n");
  sendMsg("(pid* 512 -1 -1 -1 -1 -1 -1 512 512 512 512 512 512 512 512 512 512 512 512)\n");
  sendMsg("(done)\n");

  //Zeit geben, um Ausgangslage zu erreichen
  for(int i=0; i<500; ++i) {
	  recv(theSocket, buffer, 1024, 0);
	  sendMsg("(done)\n");
  }
}


void Controller::run()
{
  while( true ) {
    
    //Umweltinformationen empfangen
    sprintf(buffer, "");
    int len = recv ( theSocket, buffer, 1024, 0 );
    buffer[len] = '\0';
    printf("%s\n\n", buffer);

    //rechten Arm bewegen
    sendMsg("(torque 2 30)\n");
    sendMsg("(done)\n");
  }
}
